View Issue Details

IDProjectCategoryView StatusLast Update
0021799mantisbtdocumentationpublic2019-12-09 04:32
Reporteratrol Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Target Version2.23.0Fixed in Version2.23.0 
Summary0021799: Wrong data types in ERD
Description

Some data types are wrong in ERD
https://www.mantisbt.org/docs/erd/mantisbt_1.3_209_erd_r2.pdf

At first sight it seems that all I2 (SMALLINT on MySQL) columns (mainly used for all kind of enumerations) are wrong. They are documented as VARCHAR(32)

E.g. check columns priority, severity, ... in mantis_bug_table

TagsNo tags attached.

Activities

dregad

dregad

2019-08-30 11:37

developer   ~0062695

It took me more time than I expected to go over and fix the various discrepancies I found, but hopefully now the diagram matches the schema as generated by current Git HEAD.

Related Changesets

MantisBT: master 80b88ea2

2019-08-30 11:35:53

dregad

Details Diff
Fix incorrect column data types in ERD

The reference database that was used to build the original diagram
(MySQL Workbench reverse engineering feature) was not a fresh install.
As a result, there were discrepancies in some data types (e.g. columns
linked to enums were VARCHAR instead of SMALLINT).

Fixes 0021799

Also added missing relationship between _bugnote_ and _bug_file_ tables
(Issue 0026098).
Affected Issues
0021799, 0026098
mod - docbook/Developers_Guide/en-US/images/erd.png Diff File
mod - docbook/erd/mantisbt.mwb Diff File
add - docbook/erd/mantisbt_2.23.0_210_erd_r2.pdf Diff File

Issue History

Date Modified Username Field Change
2016-10-14 07:44 atrol New Issue
2019-08-29 18:15 dregad Assigned To => dregad
2019-08-29 18:15 dregad Status new => assigned
2019-08-29 18:16 dregad Target Version => 2.23.0
2019-08-30 11:37 dregad Note Added: 0062695
2019-08-30 11:38 dregad Changeset attached => MantisBT master 80b88ea2
2019-08-30 11:38 dregad Status assigned => resolved
2019-08-30 11:38 dregad Resolution open => fixed
2019-08-30 11:38 dregad Fixed in Version => 2.23.0
2019-12-09 04:32 vboctor Status resolved => closed